Bug 494981 - CS 8.0 Alpha -- When Renrollment policy is set (RE_ENROLL) then the error message display erroneously specifies the card is suspended.
CS 8.0 Alpha -- When Renrollment policy is set (RE_ENROLL) then the error mes...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
5.4
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Jack Magne
desktop-bugs@redhat.com
:
Depends On:
Blocks: 443788 497004
  Show dependency treegraph
 
Reported: 2009-04-08 17:29 EDT by Sean Veale
Modified: 2009-09-02 05:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:58:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Renroll error (logs and screenshot) (11.60 KB, application/zip)
2009-04-08 17:29 EDT, Sean Veale
no flags Details

  None (edit)
Description Sean Veale 2009-04-08 17:29:04 EDT
Created attachment 338808 [details]
Renroll error (logs and screenshot)

Description of problem:


Version-Release number of selected component (if applicable):
 When Renrollment policy is set (RE_ENROLL) then the error message display erroneously specifies the card is suspended.  See the attached zip which has the tps debug and error log and the screenshot of the message

How reproducible:
Always 

Steps to Reproduce:
1. Through the Agent page of the TPS specifiy the RE_ENROLL to be false. 
2.Try to enroll a formatted token. 
3.
  
Actual results:
Incorrect error message referencing the card is suspended.  

Expected results:
Error message referencing the card can't be re enrolled. 

Additional info:

See logs
Comment 1 Jack Magne 2009-04-21 16:32:32 EDT
Proposed error message change:

Index: esc.properties
===================================================================
RCS file: /cvs/dirsec/esc/src/app/xul/esc/chrome/locale/en-US/esc.properties,v
retrieving revision 1.7
diff -r1.7 esc.properties
107c107
< errorTokenSuspended=Your smart card has been suspended.
---
> errorTokenSuspended=You are not allowed to perform this operation with this sm
art card.
Comment 2 Scott Haines 2009-04-22 14:47:08 EDT
Changing product from Certificate System to Red Hat Enterprise 5.  Rebase of
ESC to version 1.1.0 to pick up present and future Certificate System v8 fixes.
Comment 3 Scott Haines 2009-04-22 14:48:28 EDT
Setting ack requests.
Comment 4 Scott Haines 2009-04-22 14:57:07 EDT
Setting devel ack.
Comment 5 Matthew Harmsen 2009-04-22 18:49:12 EDT
Comment #1 +mharmsen
Comment 6 Jack Magne 2009-04-22 19:39:50 EDT
$ cvs   commit esc.properties

Checking in esc.properties;
/cvs/dirsec/esc/src/app/xul/esc/chrome/locale/en-US/esc.properties,v  <--  esc.p
roperties
new revision: 1.8; previous revision: 1.7
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedoraproject.org...
...syncmail done.
Comment 9 Asha Akkiangady 2009-07-26 16:31:21 EDT
Verified.

Performed token enrollment using Gemalto 64K smart cards on Rhel 5.3
i386 successfully.
coolkey version: coolkey-1.1.0-6.el5 (latest from RHEL5.3 BaseOS)
esc version: esc-1.1.0-9.el5 (cs 8.0 build)

Steps:
1. Enroll token#1 fo user#1.
2. Format token#1.
3. tps agent page set policy for token#1 to be RE_ENROLL=NO
4. Enroll token#1 for user#2, enrollment is successful.
Comment 11 errata-xmlrpc 2009-09-02 05:58:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1310.html

Note You need to log in before you can comment on or make changes to this bug.